Bug 232161 - [NEW PORT] sysutils/py-pyznap : ZFS snapshot tool written in python
Summary: [NEW PORT] sysutils/py-pyznap : ZFS snapshot tool written in python
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mateusz Piotrowski
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2018-10-10 18:14 UTC by Dries Michiels
Modified: 2018-10-13 19:35 UTC (History)
1 user (show)

See Also:


Attachments
svn diff (3.69 KB, patch)
2018-10-10 18:14 UTC, Dries Michiels
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dries Michiels 2018-10-10 18:14:17 UTC
Created attachment 198012 [details]
svn diff

This brings pyznap in the ports tree. pyznap is a ZFS snapshot management tool. It automatically takes and deletes snapshots and can send them to different backup locations. You can specify a policy for a given filesystem in the pyznap.conf file and then use cron to let it run once per quarter-hour.

https://github.com/yboetz/pyznap
Comment 1 Mateusz Piotrowski freebsd_committer 2018-10-11 14:24:07 UTC
I'll take it.
Comment 2 Mateusz Piotrowski freebsd_committer 2018-10-11 15:25:12 UTC
Differential revision: https://reviews.freebsd.org/D17520

There were some issues with the patch but I've fixed them. I'll be happy if you take a look at the updated version ;)
Comment 3 commit-hook freebsd_committer 2018-10-11 16:59:34 UTC
A commit references this bug:

Author: 0mp
Date: Thu Oct 11 16:58:33 UTC 2018
New revision: 481839
URL: https://svnweb.freebsd.org/changeset/ports/481839

Log:
  New port: sysutils/py-pyznap: ZFS snapshot tool written in Python

  pyznap is a ZFS snapshot management tool. It automatically takes and deletes
  snapshots and can send them to different remote and local backup locations.

  For example, it is possible to specify a policy for a given filesystem in the
  pyznap.conf file and then use cron to let it run once per quarter-hour.

  WWW: https://github.com/yboetz/pyznap

  PR:		232161
  Submitted by:	Dries Michiels <driesm.michiels@gmail.com> (previous version)
  Reviewed by:	krion
  Approved by:	krion (mentor)
  Differential Revision:	https://reviews.freebsd.org/D17520

Changes:
  head/sysutils/Makefile
  head/sysutils/py-pyznap/
  head/sysutils/py-pyznap/Makefile
  head/sysutils/py-pyznap/distinfo
  head/sysutils/py-pyznap/files/
  head/sysutils/py-pyznap/files/pkg-message.in
  head/sysutils/py-pyznap/pkg-descr
Comment 4 Mateusz Piotrowski freebsd_committer 2018-10-11 17:05:39 UTC
Committed! Thanks!

Also, I tried to add tests to this port but I failed. See https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=232182.
Comment 5 Dries Michiels 2018-10-11 17:34:00 UTC
Looks like almost nothing has been changed which is good :D!
I see now I need to update the category/Makefile for a new port. 
And for the substitutions, %%PREFIX%% is prefered over others.
Thanks!
Comment 6 Mateusz Piotrowski freebsd_committer 2018-10-12 11:13:46 UTC
(In reply to Dries Michiels from comment #5)

It's not that PREFIX is preferred over LOCALBASE: those variables serve a different purpose. PREFIX should be used for everything your port is installing as it is going to be installed under the directory pointed to by PREFIX. LOCALBASE, on the other hand, is where you expect your dependencies to be located in.
Comment 7 Dries Michiels 2018-10-13 07:59:49 UTC
I see, thank you for clearing that out.
Comment 8 Mateusz Piotrowski freebsd_committer 2018-10-13 19:35:42 UTC
(In reply to Dries Michiels from comment #7)

You're welcome! :)